post
https://COMPANY.my.bluecanvas.io/apis/rest/v1/deployments//comments
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Posts a comment on the deployment request, authored as the user that owns the OAuth client.
Send only body for a top-level comment. Add path and newLine and/or oldLine to post an inline comment on a line of the deployment's diff. Inline comments start a thread that can be replied to and resolved.
baseSha and headSha pin an inline comment to a specific diff. If omitted they default to the deployment's targetCommit and mergeCommit (see Get a deployment by number).
The merge request behind a deployment is created asynchronously, and never for drafts, so posting right after creating a deployment can return 409. Retry shortly.
